%global _lto_cflags %nil

%define major_ver %(echo %{version} | cut -d. -f1)
%define minor_ver %(echo %{version} | cut -d. -f2)
%define patch_ver %(echo %{version} | cut -d. -f3)

Summary: Library for access kernel tracefs
Name: libtracefs
Version: 1.6.4
Release: 2%{?dist}
License: LGPLv2+ and GPLv2+
URL: https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/
Source0: https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/snapshot/libtracefs-%{version}.tar.gz

BuildRequires:  gcc make pkgconfig(libtraceevent) >= 1.5

%description
libtracefs is a library for accessing kernel tracefs

%package devel
Summary: Development headers of %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development headers of %{name}

%prep
%autosetup

%build
make -O -j1 V=1 VERBOSE=1 prefix=%{_prefix} libdir=%{_libdir} all

%install
%make_install prefix=%{_prefix} libdir=%{_libdir}
rm -rf %{buildroot}/%{_libdir}/libtracefs.a

%files
%license LICENSES/LGPL-2.1
%license LICENSES/GPL-2.0
%{_libdir}/%{name}.so.%{major_ver}
%{_libdir}/%{name}.so.%{major_ver}.%{minor_ver}.%{patch_ver}

%files devel
%{_includedir}/tracefs/tracefs.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 10 2023 rockerzhu <rockerzhu@tencent.com> - 1.6.4-1
- Upgrade to 1.6.4.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Xin Cheng <denisecheng@tencent.com> - 1.5.0-1
- package init.
